org.apache.felix.service.command

## Interface JobListener

    public interface JobListener

Listener for command executions. Such listeners must be registered in the OSGi registry and will be called by the CommandProcessor when a command line is executed in a given session.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `jobChanged(Job job, Job.Status previous, Job.Status current)`

### Method Detail

#### jobChanged

    void jobChanged(Job job,
                    Job.Status previous,
                    Job.Status current)